%define api	3.0
%define major	9
%define libname	%mklibname goocanvas %{api} %{major}
%define girname	%mklibname goocanvas-gir %{api}
%define devname	%mklibname -d goocanvas %{api}

%define url_ver %{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^(%d+%.%d+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^(%d+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		goocanvas
Version:	3.0.0
Release:	%mkrel 1
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
License:	LGPL+
URL:		https://sourceforge.net/projects/goocanvas
Source0:	https://download.gnome.org/sources/goocanvas/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		goocanvas-fix-building-with-gcc14.patch
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(cairo)

%description
GooCanvas is a new canvas widget for GTK+ that uses the cairo 2D library for
drawing. It has a model/view split, and uses interfaces for canvas items and
views, so you can easily turn any application object into canvas items.

%package -n %{libname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Libraries
Requires:	goocanvas3-i18n >= %{version}-%{release}

%description -n %{libname}
This package contains the shared library for goocanvas.

%package -n goocanvas3-i18n
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		System/Internationalization
BuildArch:	noarch

%description -n goocanvas3-i18n
This package contains the translations for goocanvas3.

%package -n %{devname}
Summary:	New canvas widget for GTK+ that uses the cairo 2D library
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	goocanvas-devel = %{version}-%{release}
Provides:	goocanvas3-devel = %{version}-%{release}
Provides:	goocanvas%{api}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development libraries, include files and
documentation for goocanvas %{api}.

%package -n %{girname}
Summary:	GObject Introspection interface description for GooCanvas
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for GooCanvas.

%prep
%autosetup -p1

%build
%configure \
	--disable-static
%make_build LIBS=-lm

%install
%make_install

%find_lang goocanvas3

%files -n %{libname}
%doc README AUTHORS
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/GooCanvas-%{api}.typelib

%files -n goocanvas3-i18n -f goocanvas3.lang

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/goocanvas3/
%{_includedir}/%{name}-%{api}/
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/gir-1.0/GooCanvas-%{api}.gir


%changelog
* Thu Dec 26 2024 wally <wally> 3.0.0-1.mga10
+ Revision: 2130317
- new version 3.0.0

* Wed Oct 16 2024 ns80 <ns80> 1.0.0-12.mga10
+ Revision: 2107285
- try to fix building with GCC 14

* Tue Mar 29 2022 umeabot <umeabot> 1.0.0-11.mga9
+ Revision: 1831770
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.0.0-10.mga8
+ Revision: 1512688
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-9.mga7
+ Revision: 1298030
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 1.0.0-8.mga7
+ Revision: 1235378
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 1.0.0-7.mga6
+ Revision: 931956
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 740514
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-5.mga5
+ Revision: 679885
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 505194
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 352426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 wally <wally> 1.0.0-2.mga3
+ Revision: 287038
- disable static build and get rid of .la files
- clean .spec

* Fri Jul 08 2011 ahmad <ahmad> 1.0.0-1.mga2
+ Revision: 120213
- Update to 1.0.0

* Sun Jan 23 2011 pterjan <pterjan> 0.15-3.mga1
+ Revision: 35433
- Drop old stuff
- imported package goocanvas


* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15-3mdv2011.0
+ Revision: 605492
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0.15-2mdv2010.1
+ Revision: 522743
- rebuilt for 2010.1

* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2010.0
+ Revision: 390745
- update to new version 0.15

* Sun Mar 15 2009 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2009.1
+ Revision: 355405
- update to new version 0.14

* Sun Nov 30 2008 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2009.1
+ Revision: 308480
- new version
- update source URL

* Sun Sep 21 2008 Götz Waschk <waschk@mandriva.org> 0.12-1mdv2009.0
+ Revision: 286318
- new version
- fix license

* Tue Sep 09 2008 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2009.0
+ Revision: 283281
- new version
- fix license
- update source URL
- fix build

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Funda Wang <fwang@mandriva.org> 0.10-1mdv2009.0
+ Revision: 200167
- New version 0.10

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.9-2mdv2008.1
+ Revision: 150228
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - fix dep on i18n package

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 0.9-1mdv2008.0
+ Revision: 78327
- new version
- new major

* Wed Jul 25 2007 Funda Wang <fwang@mandriva.org> 0.8-1mdv2008.0
+ Revision: 55180
- fix rpmlint errors
- Fill up the file list
- Import goocanvas
- Created package structure for goocanvas.

